# Copyright (c) 2010-2011 David Love
#
# Permission to use, copy, modify, and/or distribute this software for 
# any purpose with or without fee is hereby granted, provided that the 
# above copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES 
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF 
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR 
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES 
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN 
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF 
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

# @author David Love

# 
# The {FluxTuna} module defines the namespace for the {FluxTuna} routines
# and modules. Not very much actually lives in the top-level module: most
# of the interesting bits are grouped into sub-modules which can be used
# as appropriate
module FluxTuna
  
  # Load the GUID library (used for all representation names)
  require "uuidtools"
  
  # Load the core classes
  require "core/core"
  
  # Load the abstract base classes
  require "witness/witness"
  
  # Load the main sub-modules
  require "shatter/shatter"
  require "mutate/mutate"
  require "bind/bind"

end